OBEXFTP(1)

NAME
obexftp - Mobile Equipment file transfer tool

SYNOPSIS

obexftp [OPTION] [COMMANDS]

DESCRIPTION

obexftp is used to access files on mobile equipment, i.e. cell phones. With obexftpd you can transfer files between any computers using IrDA, Bluetooth and TCP/IP.

This tool lets you access the ObexFTP library by the means of a command line interface. You might consider using the other means available. E.g. the ObexFS filesystem for Linux.

OPTIONS

The ordering of options is important. Every command will use the most recent device set. Every file without command switch will apply to the command given most recent. See EXAMPLES

  Transport Options

-i, --irda
    Connect using the IrDA protocol. This is the default.

-b device, --bluetooth device
    Connect to this bluetooth device. If the device is not given the first device found will be used.

-B number, --channel number
    Use this bluetooth channel when connecting. The channel will be discoverd automatically if this option is not used.

-d no/address, --hci no/address
    Use the bluetooth device referenced by number or address as source device for the connection.

-u intf no, --usb intf no
    Connect to this usb interface or list all available usb interfaces.

-t device, --tty device
    Connect to this tty device.

-n host, --network host
    Connect to this network host.

  Compatibility Options

-U uuid, --uuid uuid
    Select the UUID to connect with. Recognized values are currently "none" needed by some Nokia mobile devices, "FBS" (default) for the normal file browsing service, "IRMC" for IRMC synchronisation and "S45" when connecting to a Siemens Mobile phone via cable or "SHARP" for PCSOFTWARE UUID with Sharp devices.

-H, --noconn
    Suppress connection IDs (i.e. send no connection header to the mobile).

-S, --nopath
    Don’t use "setpath" commands (i.e. send the whole path as filename to the mobile). Can be used together with --noconn and --uuid none to send an OBEX-PUSH.

  Setting The File Path

-c folder, --chdir folder
    Set the mobiles current working directory.

-C folder, --mkdir folder
    Set the mobiles current working directory. The folder will be created if it doesn’t exist.

-l folder, --list folder
    List a folder.

  Sending And Retrieving Files

-o path, --output path
    Specify the target file name, overriding the implicit local name from --get or the implicit remote name from --put

-g source, --get source
    Retrieve files from mobile.

-G source, --getdelete source
    Retrieve files from mobile and delete them on the mobile

-p source, --put source
    Send files to the mobile.

-k source, --delete source
    Delete files from the mobile.

  Experimental Extras

-X, --capability
    Retrieve the capability object from the mobile (if available).

-Y, --probe
    Probe and report device characteristics

-x, --info
    Retrieve misc infos from mobile. I.e. memory size and free memory. Siemens specific for now.

-m src dest, --move src dest
    Move (rename) files on the mobile. Siemens specific for now.

  Version Information And Help

-v, --verbose
    Be verbose and give some additional infos.

-V, --version
    Print version string and exit.

-h, --help, --usage
    Print short usage instructions.

EXAMPLES

To get the directory listing from the first irda device
    obexftp -i -l or just obexftp -l as IrDA is the default.

To get the file bar from directory foo from the first bluetooth device
    obexftp -b -c foo -g bar

To send the file bar to directory foo with device on first serial port
    obexftp -t /dev/ttyS0 -c foo -p bar

It is possible to use RfComm (serial port over bluetooth)
    obexftp -t /dev/rfcomm0 -c foo -p bar

And also IrComm (serial port over IrDA)
    obexftp -t /dev/ircomm0 -c foo -p bar

To send the file bar using plain OBEX PUSH
    obexftp --bluetooth --nopath --noconn --uuid none --put bar

SEE ALSO

obexftpd(1), openobex(3), obexftp(3), multicobex(3), libbfb(3).

BUGS

Bugs ? Features !

NOTES

The software has been tested and reported working on at least Siemens, Ericsson, and Nokia phones.

AUTHOR

Christian W. Zuckschwerdt <zany@triq.net[1]>

NOTES

1.  zany@triq.net
    mailto:zany@triq.net